> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Third Party Payment Workflow With Values

> Gets a third party payment workflow specified by workflow definition. A third-party payment workflow is a definition of a process by which a third-party payment provider (such as Amazon Payments or PayPal Express) interacts with the Unified eCommerce platform.



## OpenAPI

````yaml /openapi/openapi_settings.json get /commerce/settings/checkout/paymentsettings/thirdpartyworkflow/{fullyQualifiedName}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/checkout/paymentsettings/thirdpartyworkflow/{fullyQualifiedName}:
    get:
      tags:
        - CheckoutSettings
      summary: Get Third Party Payment Workflow With Values
      description: >-
        Gets a third party payment workflow specified by workflow definition. A
        third-party payment workflow is a definition of a process by which a
        third-party payment provider (such as Amazon Payments or PayPal Express)
        interacts with the Unified eCommerce platform.
      parameters:
        - in: path
          name: fullyQualifiedName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalPaymentWorkflowDefinition'
            text/json:
              schema:
                $ref: '#/components/schemas/ExternalPaymentWorkflowDefinition'
            text/plain:
              schema:
                $ref: '#/components/schemas/ExternalPaymentWorkflowDefinition'
          description: OK
components:
  schemas:
    ExternalPaymentWorkflowDefinition:
      description: >-
        This class describes credentials and enablement for the various
        third-party payment workflows that we will integrate with.

        Examples include Paypal Express, Amazon Payments, Google Wallet, etc.
      properties:
        credentials:
          items:
            $ref: '#/components/schemas/ThirdPartyCredentialField'
          nullable: true
          type: array
        description:
          description: >-
            Information about this definition for display purposes in the
            'Payment and Checkout Settings'

            admin ui.  This field may contain valid html tags
          nullable: true
          type: string
        fullyQualifiedName:
          nullable: true
          type: string
        isEnabled:
          type: boolean
        isLegacy:
          description: |-
            Indicates if this is a legacy implementation using ARC only
            or using the new extensible implementation.
          nullable: true
          type: boolean
        name:
          description: Should be one of Contracts.Constants.ThirdPartyWorkflowNames.
          nullable: true
          type: string
        namespace:
          nullable: true
          type: string
      type: object
    ThirdPartyCredentialField:
      description: Describes the name and value of a third party credential field.
      properties:
        apiName:
          description: The name of this credential that should be used for web requests.
          nullable: true
          type: string
        displayName:
          description: The displayable name of this credential field
          nullable: true
          type: string
        inputType:
          description: The input field type for the value.
          nullable: true
          type: string
        isSensitive:
          description: the value holds sensitive information.
          nullable: true
          type: boolean
        value:
          description: The value for this credential that should be used for web requests.
          nullable: true
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/VocabularyValue'
          nullable: true
          type: array
      type: object
    VocabularyValue:
      properties:
        contents:
          items:
            $ref: '#/components/schemas/LocalizedContent'
          nullable: true
          type: array
        key:
          nullable: true
          type: string
      type: object
    LocalizedContent:
      properties:
        localeCode:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````